package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("dk_check_in_record")
public class DkCheckInRecord  extends BaseEntity {
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    @TableField(value = "`sys_user_id`")
    private Long sysUserId;

    @TableField(value = "`sys_user_name`")
    private String sysUserName;

    @TableField(value = "`check_in_time`")
    private LocalDateTime checkInTime;

    @TableField(value = "`latitude`")
    private String latitude;

    @TableField(value = "`longitude`")
    private String longitude;

    @TableField(value = "`check_in_status`")
    private String checkInStatus;

    @TableField(value = "`check_in_type`")
    private String checkInType;

    // 上班打卡时间
    @TableField(value = "`clock_in`")
    private LocalDateTime clockIn;

    // 下班打卡时间
    @TableField(value = "`clock_out`")
    private LocalDateTime clockOut;

    @TableField(value = "`month`")
    private int month;
    @TableField(value = "`week`")
    private String week;
    @TableField(value = "`day`")
    private int day;
}
